Subject: 5.19.12 kernel causes issues with Intel laptops

From: Declan Rixon <[email-masked]>
Date: Wed, 5 Oct 2022 13:05:59 +0000

Hi all, I ran guix pull and system reconfigure today, updating my kernel to
5.19.12. On rebooting I was unable to get much past the bootloader before
the screen started flashing. Aparrently there's a regression in 5.19.12
that couses this issue in some intel laptops. Because guix is guix I just
rolled back for now.

This regression was fixed in the 5.19.13 stable release.

https://www.neowin.net/news/beware-linux-kernel-51912-could-damage-your-intel-laptop-display-literally/
shows the effect on someone elses laptop (not guix). They say that 5.19.11
works fine and while I haven't checked that myself, I can say 5.19.9 works
fine.